#version 420

layout (location = IGLU_VERTEX)   in vec3 vertex;
layout (location = IGLU_TEXCOORD) in vec2 texcoord;
out vec2 fragTexCoord;

void main( void ) 
{
    gl_Position = vec4( vertex.xy, 0.0f, 1.0f );
    fragTexCoord = texcoord;
}